/*****************************************************************************
 * os_font.h: Wrapper for the OSFont class
 *****************************************************************************
 * Copyright (C) 2003 VideoLAN
 * $Id: os_font.h,v 1.4 2003/04/17 15:43:29 karibu Exp $
 *
 * Authors: Olivier Teulire <ipkiss@via.ecp.fr>
 *          Emmanuel Puig    <karibu@via.ecp.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111,
 * USA.
 *****************************************************************************/


#if defined( WIN32 )
    #include "win32/win32_font.h"
    #define OSFont Win32Font

    #define VLC_FONT_ALIGN_LEFT    DT_LEFT
    #define VLC_FONT_ALIGN_CENTER  DT_CENTER
    #define VLC_FONT_ALIGN_RIGHT   DT_RIGHT

#else
    #include "gtk2/gtk2_font.h"
    #define OSFont GTK2Font

    #define VLC_FONT_ALIGN_LEFT    PANGO_ALIGN_LEFT
    #define VLC_FONT_ALIGN_CENTER  PANGO_ALIGN_CENTER
    #define VLC_FONT_ALIGN_RIGHT   PANGO_ALIGN_RIGHT

#endif
